Status: Closed

Priority: Low

Assignee: Vincent Mora

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22253

Description

when testing size assistant with fields coming from a join , named with a prefix initialized with layer name I faced a small bug:

layer name: label44 copier

field prefix for joins: label44 copier

field name once joined: label44 copier_attr

expression output from size assistant:

coalesce(scale_exp(label44 copier_attr, 1, 2, 1, 14, 0.57), 0)

That expression is not correct, when it should be 

coalesce(scale_exp("label44 copier_attr", 1, 2, 1, 14, 0.57), 0)

This is a edge case but can happen. Quoting field names will prevent that

Associated revisions

Revision d11e6674 - 2016-02-24 01:32 AM - Nyall Dawson

Quote fields in size/width assistant (fix #14257)

History

#1 - 2016-02-11 09:07 AM - Giovanni Manghi

see also #14258

#2 - 2016-02-16 06:29 AM - Vincent Mora

- Pull Request or Patch supplied changed from No to Yes

Hi Giovanni, thanks for the report, an sorry for the delay, PR https://github.com/qgis/QGIS/pull/2795

#3 - 2016-02-17 01:10 AM - Regis Haubourg
https://github.com/qgis/QGIS/pull/2795


Hi, PR brakes qgis identation tests ..

#4 - 2016-02-23 04:33 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d11e66749b2c1b2f830de7ae8274d65b97878dac".
